## brutefir 1.0c

=== Makefile ===
--- 
+++ 
@@ -146,6 +146,7 @@
 	$(LD) $(LD_SHARED) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFLOGIC_EQ_OBJS) -lc
 
 install: $(BIN_TARGETS) $(LIB_TARGETS)
+	install -d $(INSTALL_PREFIX)/bin $(INSTALL_PREFIX)/lib/brutefir
 	install $(BIN_TARGETS) $(INSTALL_PREFIX)/bin
 	install $(LIB_TARGETS) $(INSTALL_PREFIX)/lib/brutefir
