## brutefir 1.0k

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 ###################################
 # Objects and libs for targets
 BRUTEFIR_LIBS	= $(FFTW_LIB) -lm
-BRUTEFIR_OBJS	= brutefir.o fftw_convolver.o bfconf.o bfrun.o \
+BRUTEFIR_OBJS	= brutefir.o fftw_convolver.o bfconf.o bfrun.o firwindow.o \
 emalloc.o shmalloc.o dai.o bfconf_lexical.o inout.o dither.o delay.o 
 BRUTEFIR_IA32_OBJS = convolver_sse2.o convolver_sse.o \
 convolver_3dnow.o convolver_x87.o
