=== debian/changelog ===
brutefir (1.0k-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Feb 2011 22:28:43 +0100

brutefir (1.0k-1) experimental; urgency=low

  * New upstream release.
  * Switch to format 3.0 (quilt).
  * Switch to debhelper 7.
  * Change fftw3-dev to libfftw3-dev (Closes: #474591); thanks to
    James Westby for reporting this.
  * Update watch file.
  * debian/control:
    - Add .gitignore file.
    - Add ${misc:Depends} to the Depends line.
    - Add Homepage field.
    - Bump Standards.
  * Convert patches to the quilt format.
  * Remove direct changes to the upstream sources. Create new patch to
    apply with quilt.
  * Add patch to fix spelling errors.
  * Move manpage into the debian directory.
  * Rename 10_Makefile.dpatch -> 10-makefile.patch, refresh.
  * Remove old 00list* files.
  * Add local-options file.
  * Update copyright information.
  * Fix debian menu file.
  * Fix doc-base file.
  * Fix copyright-refers-to-symlink-license warning.
  * Rename bruterfir.orig to brutefir.real.
  * Remove manpage in SGML format.
  * Install configuration files as package examples.
  * Add configuration file for git-buildpackage.

 -- Alessio Treglia <alessio@debian.org>  Mon, 20 Sep 2010 15:22:21 +0200

brutefir (1.0f-2) unstable; urgency=low

  * debian/patches/10_Makefile.dpatch: Add patches from Cyril Brulebois
    to fix FTBFS on non-linux architectures (which don't provide ALSA
    support). Closes: #414298
  * debian/control:
    - Limit libasound2-dev to linux-archs only.
    - Add Vcs fields.
    - Change Maintainer and update Uploaders list (Closes: #546949).
  * debian/compat: Bump compatibility level up to 5.

 -- Alessio Treglia <alessio@debian.org>  Mon, 20 Sep 2010 13:01:14 +0200

brutefir (1.0f-1) unstable; urgency=low

  * New upstream release
    - Fixes invalid lvalues in assignments (Closes: #320270)
  * Rebuild for the jack transition (Closes: #317185)
  * Added wrapper script to create an empty config file (Closes: #318202)
  * Dropped the amd64 gcc-4.0 patch, fixed upstream
  
 -- Free Ekanayaka <free@agnula.org>  Sun,  2 Oct 2005 18:12:04 +0100

brutefir (1.0c-1) unstable; urgency=low

  * New upstream release
  * Using dpatch
  * Added dpatch for the Makefile
  * Bug fix: "brutefir: FTBFS (amd64/gcc-4.0): invalid lvalue in
    assignment", thanks to Andreas Jochens (Closes: #284751).
  * Bug fix: "brutefir: ftbfs [sparc] Requires v9|v9a|v9b", thanks to
    Blars Blarson (Closes: #269715).

 -- Free Ekanayaka <free@agnula.org>  Tue, 22 Mar 2005 13:00:44 +0100

brutefir (1.0-1) unstable; urgency=low

  * New upstream release

 -- Free Ekanayaka <free@agnula.org>  Fri, 11 Jun 2004 21:52:06 +0200

brutefir (0.99n-2) unstable; urgency=low

  * debian/control: removed double spaces in the Desctiption field
    (closes #241576)
  * Removed menu file, as BruteFIR is supposed to be invoked from the
    command line.

 -- Free Ekanayaka <free@agnula.org>  Wed, 14 Apr 2004 12:59:47 +0200

brutefir (0.99n-1) unstable; urgency=low

  * New upstream release
  * GGeiger: Fixed endian detection on non-sparc or intel machines
  * GGeiger: Fixed compilation on non-sparc or intel (intel assembler)
  * First upload to Debian (closes: #187276)

 -- Free Ekanayaka <free@agnula.org>  Sat, 28 Feb 2004 19:58:31 +0100

brutefir (0.99l-0) unstable; urgency=low

  * Added template man page
  * New upstream release
  * adjusted description formatting

 -- Free Ekanayaka <free@agnula.org>  Fri, 21 Nov 2003 16:11:28 +0600

brutefir (0.99k-1) unstable; urgency=low

  * Initial Release.

 -- Free Ekanayaka <free@agnula.org>  Thu, 18 Sep 2003 23:06:33 +0200
