=== debian/control ===
Source: brutefir
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: docbook-to-man,
 debhelper (>= 7.0.50~),
 libfftw3-dev,
 libjack-dev,
 flex,
 libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
Standards-Version: 3.9.1
Homepage: http://www.ludd.luth.se/~torger/brutefir.html
Vcs-Git: git://git.debian.org/pkg-multimedia/brutefir.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/brutefir.git

Package: brutefir
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: a software convolution engine
 BruteFIR is a program for applying long FIR filters to multi-channel
 digital audio, either offline or in realtime. Its basic operation is
 specified through a configuration file, and filters, attenuation and
 delay can be changed in runtime through a simple command line
 interface. The FIR filter algorithm used is  an optimised frequency
 domain algorithm, partly implemented in hand-coded assembler, thus
 throughput is extremely high. In realtime, a standard computer can
 typically run more than 10 channels with more than 60000 filter taps
 each.
 .
 Through its highly modular design, things like adaptive filtering,
 signal generators and sample I/O are easily added, extended and
 modified, without the need to alter the program itself.
 .
