## brutefir 1.0l

=== debian/changelog ===
brutefir (1.0l-1) unstable; urgency=low

  * Team upload.
  * New upstream release:
    - Made the code compile well on x86-64.
    - Replaced legacy assembler code with new SSE/SSE2 C code,
      3DNow support dropped.
    - Fixed filter indexing bug in the 'cffa' CLI command.
    - S24_LE now maps to Alsa SND_PCM_FORMAT_S24_3LE and S24_4LE to
    - SND_PCM_FORMAT_S24_LE (same for BE of course). Also added possibility
      to use Alsa syntax "S24_3LE" in config file (means same as the old
      "S24_LE").
    - Refreshed JACK I/O module to make up to date with current API
      versions.
  * Refresh patches.
  * Replace negated list of architectures with linux-any (Closes: #634790).
  * Use canonical form for VCS urls.
  * Remove myself from the Uploaders field.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 15 Oct 2013 14:00:42 +0100
