=== debian/control ===
--- 
+++ 
@@ -2,23 +2,25 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Free Ekanayaka <freee@debian.org>,
- Alessio Treglia <alessio@debian.org>
-Build-Depends: docbook-to-man,
+Uploaders:
+ Free Ekanayaka <freee@debian.org>
+Build-Depends:
  debhelper (>= 7.0.50~),
+ docbook-to-man,
+ flex,
+ libasound2-dev [linux-any],
  libfftw3-dev,
- libjack-dev,
- flex,
- libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
-Standards-Version: 3.9.1
+ libjack-dev
+Standards-Version: 3.9.4
 Homepage: http://www.ludd.luth.se/~torger/brutefir.html
-Vcs-Git: git://git.debian.org/pkg-multimedia/brutefir.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/brutefir.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/brutefir.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/brutefir.git
 
 Package: brutefir
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: a software convolution engine
  BruteFIR is a program for applying long FIR filters to multi-channel
  digital audio, either offline or in realtime. Its basic operation is
