=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Smakefile

override_dh_auto_build:
	dh_auto_build -- ARCH=`dpkg --print-architecture`

override_dh_auto_install:
	dh_auto_install -- ARCH=`dpkg --print-architecture`
	mv $(CURDIR)/debian/brutefir/usr/bin/brutefir \
		$(CURDIR)/debian/brutefir/usr/lib/brutefir/brutefir.real
	cp debian/brutefir.wrapper $(CURDIR)/debian/brutefir/usr/bin/brutefir
	chmod 755 $(CURDIR)/debian/brutefir/usr/bin/brutefir

override_dh_installchangelogs:
	dh_installchangelogs CHANGES
