## brutefir 1.0m

=== Makefile ===
--- 
+++ 
@@ -24,8 +24,8 @@
 
 ###################################
 # Flags
-CC_WARN		= -Wall -Wlong-long -Wpointer-arith -Wshadow \
--Wcast-qual -Wcast-align -Wwrite-strings -Wstrict-prototypes \
+CC_WARN		= -Wall -Wpointer-arith -Wshadow \
+-Wcast-align -Wwrite-strings -Wstrict-prototypes \
 -Wmissing-prototypes -Wmissing-declarations -Wnested-externs
 CC_FLAGS	= $(DEFINE) -O2
 CC_FPIC		= -fPIC
@@ -35,9 +35,8 @@
 # Objects and libs for targets
 BRUTEFIR_LIBS	= $(FFTW_LIB) -lm
 BRUTEFIR_OBJS	= brutefir.o fftw_convolver.o bfconf.o bfrun.o firwindow.o \
-emalloc.o shmalloc.o dai.o bfconf_lexical.o inout.o dither.o delay.o 
-BRUTEFIR_IA32_OBJS = convolver_sse2.o convolver_sse.o \
-convolver_3dnow.o convolver_x87.o
+emalloc.o shmalloc.o dai.o bfconf_lexical.o inout.o dither.o delay.o
+BRUTEFIR_SSE_OBJS = convolver_xmm.o
 
 BFIO_FILE_OBJS	= bfio_file.fpic.o
 
@@ -64,14 +63,17 @@
 
 # Linux
 ifeq ($(UNAME),Linux)
-ifeq ($(UNAME_M),i386)
-BRUTEFIR_OBJS	+= $(BRUTEFIR_IA32_OBJS)
-endif
 ifeq ($(UNAME_M),i586)
-BRUTEFIR_OBJS	+= $(BRUTEFIR_IA32_OBJS)
+BRUTEFIR_OBJS	+= $(BRUTEFIR_SSE_OBJS)
+CC_FLAGS	+= -msse
 endif
 ifeq ($(UNAME_M),i686)
-BRUTEFIR_OBJS	+= $(BRUTEFIR_IA32_OBJS)
+BRUTEFIR_OBJS	+= $(BRUTEFIR_SSE_OBJS)
+CC_FLAGS	+= -msse
+endif
+ifeq ($(UNAME_M),x86_64)
+BRUTEFIR_OBJS	+= $(BRUTEFIR_SSE_OBJS)
+CC_FLAGS	+= -msse
 endif
 BRUTEFIR_LIBS	+= -ldl
 LDMULTIPLEDEFS	= -Xlinker --allow-multiple-definition
