=== debian/changelog ===
brutefir (1.0m-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:35:57 +0000

brutefir (1.0m-1) unstable; urgency=medium

  * Team Upload.

  [ Jaromír Mikeš ]
  * Imported Upstream version 1.0m
  * Set dh/compat 9.
  * Bump Standards.
  * Add myself as uploader.
  * Patches refreshed.
  * Little fix in description.
  * Added patch partially fix hardening.
  * Added patch fix FTBFS on kfreebsd-i386 (Closes: #728139).

  [ Felipe Sateler ]
  * Use gcc instead of ld directly to link.
  * Pass LDFLAGS to brutefir link.
  * Change _init functions to use constructor attributes instead
  * Enable parallel builds

 -- Felipe Sateler <fsateler@debian.org>  Tue, 25 Feb 2014 22:42:05 -0300
