=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: brutefir
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Free Ekanayaka <freee@debian.org>
+ Free Ekanayaka <freee@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  docbook-to-man,
  flex,
  libasound2-dev [linux-any],
  libfftw3-dev,
  libjack-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.ludd.luth.se/~torger/brutefir.html
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/brutefir.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/brutefir.git
@@ -21,7 +23,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Description: a software convolution engine
+Description: software convolution engine
  BruteFIR is a program for applying long FIR filters to multi-channel
  digital audio, either offline or in realtime. Its basic operation is
  specified through a configuration file, and filters, attenuation and
