=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	dh $@ -Smakefile
 
 override_dh_auto_build:
-	dh_auto_build -- ARCH=`dpkg --print-architecture`
+	dh_auto_build --parallel -- ARCH=`dpkg --print-architecture`
 
 override_dh_auto_install:
 	dh_auto_install -- ARCH=`dpkg --print-architecture`
