## brutefir 1.0o

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,8 @@
+###################################
+CFLAGS +=
+CPPFLAGS +=
+LDFLAGS +=
+
 ###################################
 # Where to install
 INSTALL_PREFIX	= $(DESTDIR)/usr/local
@@ -18,18 +23,19 @@
 ###################################
 # Binaries
 FLEX	= flex
-LD	= ld
+LD	= gcc
 CC	= gcc
-AS	= as
+CHMOD	= chmod
 
 ###################################
 # Flags
 CC_WARN		= -Wall -Wpointer-arith -Wshadow \
 -Wcast-align -Wwrite-strings -Wstrict-prototypes \
 -Wmissing-prototypes -Wmissing-declarations -Wnested-externs
-CC_FLAGS	= $(DEFINE) -O2
+CC_FLAGS	= $(DEFINE) -O2 $(CFLAGS) $(CPPFLAGS)
 CC_FPIC		= -fPIC
 LD_SHARED	= -shared
+CHMOD_REMOVEX	= -x
 
 ###################################
 # Objects and libs for targets
@@ -75,23 +81,17 @@
 BRUTEFIR_OBJS	+= $(BRUTEFIR_SSE_OBJS)
 CC_FLAGS	+= -msse
 endif
+ifneq (,$(findstring sparc,$(UNAME_M)))
+CC_FLAGS += -Wa,-xarch=v8plus
+endif
 BRUTEFIR_LIBS	+= -ldl
 LDMULTIPLEDEFS	= -Xlinker --allow-multiple-definition
-# assume that we have alsa, osss and jack
+# assume that we have oss and jack, alsa being linux-only
+ifeq ($(UNAME),Linux)
 LIB_TARGETS	+= alsa.bfio
+endif
 LIB_TARGETS	+= oss.bfio
 LIB_TARGETS	+= jack.bfio
-endif
-
-# Solaris
-ifeq ($(UNAME),SunOS)
-CC_WARN		= -Wall -Wlong-long -Wpointer-arith -Wshadow \
--Wcast-qual -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations \
--Wnested-externs
-ifeq ($(UNAME_P),sparc)
-CC_FLAGS	+= -Wa,-xarch=v8plus
-endif
-BRUTEFIR_LIBS	+= -lrt -ldl
 endif
 
 # FreeBSD
@@ -110,42 +110,45 @@
 
 all: $(TARGETS)
 
-%.o: %.s
-	$(AS) -o $@			$<
-
 %.fpic.o: %.c
-	$(CC) -o $@			-c $(INCLUDE) $(CC_FPIC) $(CC_WARN) $(CC_FLAGS) $<
+	$(CC) -o $@			-c $(LDFLAGS) $(INCLUDE) $(CC_FPIC) $(CC_WARN) $(CC_FLAGS) $<
 
 %.o: %.c
-	$(CC) -o $@			-c $(INCLUDE) $(CC_WARN) $(CC_FLAGS) $<
+	$(CC) -o $@			-c $(LDFLAGS) $(INCLUDE) $(CC_WARN) $(CC_FLAGS) $<
 
 # special rule to avoid to get warnings from code generated by flex
 bfconf_lexical.o: bfconf_lexical.c
-	$(CC) -o $@			-c $(INCLUDE) $(CC_FLAGS) $<
+	$(CC) -o $@			-c $(LDFLAGS) $(INCLUDE) $(CC_FLAGS) $<
 
 %.c: %.lex
 	$(FLEX) -o$@ $<
 
 brutefir: $(BRUTEFIR_OBJS)
-	$(CC) $(LIBPATHS) $(LDMULTIPLEDEFS) -o $@ $(BRUTEFIR_OBJS) $(BRUTEFIR_LIBS)
+	$(CC) $(LDFLAGS) $(LIBPATHS) $(LDMULTIPLEDEFS) -o $@ $(BRUTEFIR_OBJS) $(BRUTEFIR_LIBS)
 
 alsa.bfio: $(BFIO_ALSA_OBJS)
-	$(LD) $(LD_SHARED) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFIO_ALSA_OBJS) $(BFIO_ALSA_LIBS) -lc
+	$(LD) $(LD_SHARED) $(LDFLAGS) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFIO_ALSA_OBJS) $(BFIO_ALSA_LIBS) -lc
+	$(CHMOD) $(CHMOD_REMOVEX) $@
 
 oss.bfio: $(BFIO_OSS_OBJS)
-	$(LD) $(LD_SHARED) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFIO_OSS_OBJS) -lc
+	$(LD) $(LD_SHARED) $(LDFLAGS) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFIO_OSS_OBJS) -lc
+	$(CHMOD) $(CHMOD_REMOVEX) $@
 
 jack.bfio: $(BFIO_JACK_OBJS)
-	$(LD) $(LD_SHARED) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFIO_JACK_OBJS) $(BFIO_JACK_LIBS) -lc
+	$(LD) $(LD_SHARED) $(LDFLAGS) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFIO_JACK_OBJS) $(BFIO_JACK_LIBS) -lc
+	$(CHMOD) $(CHMOD_REMOVEX) $@
 
 file.bfio: $(BFIO_FILE_OBJS)
-	$(LD) $(LD_SHARED) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFIO_FILE_OBJS) -lc
+	$(LD) $(LD_SHARED) $(LDFLAGS) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFIO_FILE_OBJS) -lc
+	$(CHMOD) $(CHMOD_REMOVEX) $@
 
 cli.bflogic: $(BFLOGIC_CLI_OBJS)
-	$(LD) $(LD_SHARED) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFLOGIC_CLI_OBJS) -lc
+	$(LD) $(LD_SHARED) $(LDFLAGS) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFLOGIC_CLI_OBJS) -lc
+	$(CHMOD) $(CHMOD_REMOVEX) $@
 
 eq.bflogic: $(BFLOGIC_EQ_OBJS)
-	$(LD) $(LD_SHARED) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFLOGIC_EQ_OBJS) -lc
+	$(LD) $(LD_SHARED) $(LDFLAGS) $(CC_FPIC) $(LIBPATHS) -o $@ $(BFLOGIC_EQ_OBJS) -lc
+	$(CHMOD) $(CHMOD_REMOVEX) $@
 
 install: $(BIN_TARGETS) $(LIB_TARGETS)
 	install -d $(INSTALL_PREFIX)/bin $(INSTALL_PREFIX)/lib/brutefir
