=== debian/changelog ===
brutefir (1.0o-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/rules: Drop unused ARCH
  * debian/: Bump debhelper compat to 12
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Dec 2019 20:47:08 +0100

brutefir (1.0o-1) unstable; urgency=medium

  * Imported Upstream version 1.0o
  * Drop patches applied upstream.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 09 Aug 2016 20:22:27 +0200

brutefir (1.0n-1) unstable; urgency=medium

  * Improved description of patch.
  * Patches forwarded.
  * Update copyright file.
  * Improve .gitignore file.
  * Imported Upstream version 1.0n
    (Closes: #715739) (Closes: #715866) (Closes: #715903)
    (Closes: #716035) (Closes: #716131)
  * Fix some hardening.
  * Don't sign tags.
  * Fix more spelling errors.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 09 Aug 2016 13:14:05 +0200
