=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: brutefir
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  docbook-to-man,
  flex,
  libasound2-dev [linux-any],
  libfftw3-dev,
  libjack-dev
-Standards-Version: 3.9.5
+Standards-Version: 4.4.1
 Homepage: http://www.ludd.luth.se/~torger/brutefir.html
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/brutefir.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/brutefir.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/brutefir.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/brutefir
 
 Package: brutefir
 Architecture: any
@@ -37,4 +36,3 @@
  Through its highly modular design, things like adaptive filtering,
  signal generators and sample I/O are easily added, extended and
  modified, without the need to alter the program itself.
- .
