=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/brutefir/usr/bin/brutefir \
		$(CURDIR)/debian/brutefir/usr/lib/brutefir/brutefir.real
	cp debian/brutefir.wrapper $(CURDIR)/debian/brutefir/usr/bin/brutefir
	chmod 755 $(CURDIR)/debian/brutefir/usr/bin/brutefir

override_dh_installchangelogs:
	dh_installchangelogs CHANGES
