=== debian/watch ===
version=3
http://www.ludd.luth.se/~torger/brutefir.html	files/brutefir-(.*)\.tar\.gz
